package com.nisum.ascend.promotions.model;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

@Getter
@Setter
@Document(collection="promotions")
public class Promotion {
    @Id
    private String id;

    @Indexed(unique=true)
    private String promotionId;
    private String productSku;
    private float discountPercentage;
    private int minimumQuantity;

    public Promotion(String promotionId, String productSku, float discountPercentage, int minimumQuantity) {
        this.promotionId = promotionId;
        this.productSku = productSku;
        this.discountPercentage = discountPercentage;
        this.minimumQuantity = minimumQuantity;
    }
}
